#!/usr/bin/make -f
# 							-*- makefile -*-
#
# Generic debian/rules file for the Debian/GNU Linux r-cran-* packages
#
# Should be sufficient for Debianization of CRAN (http://cran.r-project.org) 
# packages. Note that you still need to provide the other files in debian/*,
# in particular control, changelog and copyright. 
# 
# Copyright 2003-2006 by Dirk Eddelbuettel <edd@debian.org>

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/langcore.mk

# awk command to extract word after Package or Bundle, lowercased
awkString	:= "'/^(Package|Bundle):/ {print tolower($$2) }'"

# apply it to the upstream meta-info file DESCRIPTION
cranName        := $(shell awk "$(awkString)" DESCRIPTION)

## and use the result to build the Debian'ized package name
package		:= r-cran-$(cranName)

## which we use for the to-be-installed-in directory
debRlib		:=$(CURDIR)/debian/$(package)/usr/lib/R/site-library

## two targets for arch dependent and independent packages
common-install-indep:: R_any_arch
common-install-arch:: R_any_arch

R_any_arch:
		dh_installdirs		usr/lib/R/site-library
		R CMD INSTALL -l $(debRlib) --clean .
		rm -vf $(debRlib)/R.css $(debRlib)/*/COPYING 
